package main;


import jmri.jmrix.lenz.*;
import jmri.jmrix.lenz.liusbethernet.*;

import org.apache.log4j.BasicConfigurator;


public class Main {

	public static void main(String[] args) {
		
		BasicConfigurator.configure(); //Indispensable pour configurer le package
		LIUSBEthernetAdapter liusb = new LIUSBEthernetAdapter();
		
		liusb.autoConfigure();
		try {
			liusb.connect();
		} catch (Exception e) {
			e.printStackTrace(); //si la connection echoue on affiche l'erreur et quitte l'appli
			System.exit(0);
		}
		
		LenzCommandStation CS = new LenzCommandStation(); //  station de commande
		XNetTrafficRouter TC = new XNetTrafficRouter(CS); // traffic controler 
		XNetSystemConnectionMemo CM = new XNetSystemConnectionMemo(TC); //on connection memo
		LIUSBEthernetXNetPacketizer Packetizer = new LIUSBEthernetXNetPacketizer(CS); // Packetizer
		
		Packetizer.addXNetListener(XNetInterface.ALL, TC); // on ajoute un listener au Packetizer
		Packetizer.setSystemConnectionMemo(CM);
		Packetizer.controller = liusb;
		Packetizer.connectPort(liusb);
		
		CM.setXNetTrafficController(Packetizer);
		CM.setCommandStation(CS);
	
		CS.setSystemConnectionMemo(CM);
		CS.setTrafficController(Packetizer);
		TC.connect(Packetizer);
		
		XNetMessage M = new XNetMessage("E4 13 00 03 40 00");
		M.setParity();
		
		Packetizer.sendXNetMessage(M, TC);	
		
		M.setElement(4, M.getElement(4)+128);
		Packetizer.sendXNetMessage(M, TC);
	}
}